package com.ampiere.web.struts.form;

import org.apache.struts.action.ActionForm;
import java.io.Serializable;
import org.apache.struts.action.ActionMapping;
import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;

/**
 * Manual Shipment Selection.
 * @author Almas:SiqinBilige
 */
public class GenerateInvoiceFromOrderForm extends ActionForm implements Serializable {

    /** Organization. */
    private int organizationId;

    /** Business Partner ID. */
    private int businessPartnerId;

    /** Business Partner Name. */
    private String businessPartnerName;

    /** Order ID List. */
    private int [] orderIdList;

    /** Changed Column. */
    private String changedColumn;

    /** Main Window Title. */
    private String mainWindowTitle;

    /** Page Title. */
    private String pageTitle;

    /** Organization Label. */
    private String organizationLabel;

    /** Business Partner Label. */
    private String businessPartnerLabel;

    /** Organization List. */
    private ArrayList organizationList;

    /** Order List. */
    private ArrayList orderList;

    /** Cancel Button Label. */
    private String cancelButtonLabel;

    /** Generate Button Labe. */
    private String generateButtonLabel;

    /** Generate Selection Message. */
    private String generateSelectMessage;

    /** Result Information. */
    private String resultInfo;


    /**
     * Get Organization.
     * @return Organization
     */
    public final int getOrganizationId() {
        return this.organizationId;
    }

    /**
     * Set Organization.
     * @param organizationIdP Organization
     */
    public final void setOrganizationId(final int organizationIdP) {
        this.organizationId = organizationIdP;
    }

    /**
     * Get Business Partner ID.
     * @return Business Partner ID
     */
    public final int getBusinessPartnerId() {
        return this.businessPartnerId;
    }

    /**
     * Set Business Partner ID.
     * @param businessPartnerIdP Business Partner ID
     */
    public final void setBusinessPartnerId(final int businessPartnerIdP) {
        this.businessPartnerId = businessPartnerIdP;
    }

    /**
     * Get Business Partner Name.
     * @return Business Partner Name
     */
    public final String getBusinessPartnerName() {
        return this.businessPartnerName;
    }

    /**
     * Set Business Partner Name.
     * @param businessPartnerNameP Business Partner Name
     */
    public final void setBusinessPartnerName(final String businessPartnerNameP) {
        this.businessPartnerName = businessPartnerNameP;
    }

    /**
     * Get Order ID List.
     * @return Order ID List
     */
    public final int [] getOrderIdList() {
        return this.orderIdList;
    }

    /**
     * Set Order ID List.
     * @param orderIdListP Order ID List
     */
    public final void setOrderIdList(final int [] orderIdListP) {
        this.orderIdList = orderIdListP;
    }

    /**
     * Get Changed Column.
     * @return Changed Column
     */
    public final String getChangedColumn() {
        return this.changedColumn;
    }

    /**
     * Set Changed Column.
     * @param changedColumnP Changed Column
     */
    public final void setChangedColumn(final String changedColumnP) {
        this.changedColumn = changedColumnP;
    }

    /**
     * Get Main Window Title.
     * @return Main Window Title
     */
    public final String getMainWindowTitle() {
        return this.mainWindowTitle;
    }

    /**
     * Set Main Window Title.
     * @param mainWindowTitleP Main Window Title
     */
    public final void setMainWindowTitle(final String mainWindowTitleP) {
        this.mainWindowTitle = mainWindowTitleP;
    }

    /**
     * Get Page Title.
     * @return Page Title
     */
    public final String getPageTitle() {
        return this.pageTitle;
    }

    /**
     * Set Page Title.
     * @param pageTitleP Page Title
     */
    public final void setPageTitle(final String pageTitleP) {
        this.pageTitle = pageTitleP;
    }

    /**
     * Get Organization Label.
     * @return Organization Label
     */
    public final String getOrganizationLabel() {
        return this.organizationLabel;
    }

    /**
     * Set Organization Label.
     * @param organizationLabelP Organization Label
     */
    public final void setOrganizationLabel(final String organizationLabelP) {
        this.organizationLabel = organizationLabelP;
    }

    /**
     * Get Business Partner Label.
     * @return Business Partner Label
     */
    public final String getBusinessPartnerLabel() {
        return this.businessPartnerLabel;
    }

    /**
     * Set Business Partner Label.
     * @param businessPartnerLabelP Business Partner Label
     */
    public final void setBusinessPartnerLabel(final String businessPartnerLabelP) {
        this.businessPartnerLabel = businessPartnerLabelP;
    }

    /**
     * Get Organization List.
     * @return Organization List
     */
    public final ArrayList getOrganizationList() {
        return this.organizationList;
    }

    /**
     * Set Organization List.
     * @param organizationListP Organization List
     */
    public final void setOrganizationList(final ArrayList organizationListP) {
        this.organizationList = organizationListP;
    }

    /**
     * Get Order List.
     * @return Order List
     */
    public final ArrayList getOrderList() {
        return this.orderList;
    }

    /**
     * Set Order List.
     * @param orderListP Order List
     */
    public final void setOrderList(final ArrayList orderListP) {
        this.orderList = orderListP;
    }

    /**
     * Get Cancel Button Label.
     * @return Cancel Button Label
     */
    public final String getCancelButtonLabel() {
        return this.cancelButtonLabel;
    }

    /**
     * Set Cancel Button Label.
     * @param cancelButtonLabelP Cancel Button Label
     */
    public final void setCancelButtonLabel(final String cancelButtonLabelP) {
        this.cancelButtonLabel = cancelButtonLabelP;
    }

    /**
     * Get Generate Button Labe.
     * @return Generate Button Labe
     */
    public final String getGenerateButtonLabel() {
        return this.generateButtonLabel;
    }

    /**
     * Set Generate Button Labe.
     * @param generateButtonLabelP Generate Button Labe
     */
    public final void setGenerateButtonLabel(final String generateButtonLabelP) {
        this.generateButtonLabel = generateButtonLabelP;
    }

    /**
     * Get Generate Selection Message.
     * @return Generate Selection Message
     */
    public final String getGenerateSelectMessage() {
        return this.generateSelectMessage;
    }

    /**
     * Set Generate Selection Message.
     * @param generateSelectMessageP Generate Selection Message
     */
    public final void setGenerateSelectMessage(final String generateSelectMessageP) {
        this.generateSelectMessage = generateSelectMessageP;
    }

    /**
     * Get Result Information.
     * @return Result Information
     */
    public final String getResultInfo() {
        return this.resultInfo;
    }

    /**
     * Set Result Information.
     * @param resultInfoP Result Information
     */
    public final void setResultInfo(final String resultInfoP) {
        this.resultInfo = resultInfoP;
    }

    /**
     * Reset Method.
     * @param mapping mapping
     * @param request request
     */
    public final void reset(final ActionMapping mapping, final HttpServletRequest request) {
        //TODO Insert code here.
    }

}
